## python-ovsdbapp 2.1.1

=== debian/changelog ===
python-ovsdbapp (2.1.1-0ubuntu1~cloud1) jammy-zed; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #2007919).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Jul 2023 12:12:50 -0400

python-ovsdbapp (2.1.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Sep 2022 01:30:27 +0000

python-ovsdbapp (2.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:35:12 -0400

python-ovsdbapp (1.16.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/p/fix-broken-behavior-after-recent-OVS-update.patch: Dropped.
    Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 May 2022 13:54:07 -0400

## python-ovsdbapp 2.2.1

=== debian/changelog ===
python-ovsdbapp (2.2.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046283).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 18:19:58 +0200

python-ovsdbapp (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:14:14 +0200

python-ovsdbapp (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:24:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ovsdbapp.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=./ovsdbapp/tests/unit pkgos-dh_auto_test --no-py2 'ovsdbapp\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-ovsdbapp-doc/usr/share/doc/python-ovsdbapp-doc/html
	dh_sphinxdoc
endif

## python-ovsdbapp 2.4.0

=== debian/changelog ===
python-ovsdbapp (2.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:59:15 -0400

python-ovsdbapp (2.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:06:06 -0400

python-ovsdbapp (2.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:27:07 -0500

python-ovsdbapp (2.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:31:00 -0500

## python-ovsdbapp 2.4.1

=== debian/changelog ===
python-ovsdbapp (2.4.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 22:01:13 +0000

python-ovsdbapp (2.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:59:05 -0400

## python-ovsdbapp 2.5.1

=== debian/changelog ===
python-ovsdbapp (2.5.1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 13:07:48 +0000

## python-ovsdbapp 2.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
fixtures>=3.0.0 # Apache-2.0/BSD
netaddr>=0.7.18 # BSD
ovs>=2.10.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-ovsdbapp (2.6.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 12:02:44 +0000

=== debian/control ===
Source: python-ovsdbapp
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-isort (>= 4.3.21),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.10.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.utils,
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ovsdbapp
Homepage: https://opendev.org/openstack/ovsdbapp
Testsuite: autopkgtest-pkg-python

Package: python-ovsdbapp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for creating OVSDB applications - doc
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the documentation.

Package: python3-ovsdbapp
Architecture: all
Depends:
 python3-fixtures (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovsdbapp-doc,
Description: library for creating OVSDB applications - Python 3.x
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ovsdbapp/ovsdbapp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ovsdbapp 2.8.0

=== debian/changelog ===
python-ovsdbapp (2.8.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Thu, 08 Aug 2024 10:03:23 +0000

python-ovsdbapp (2.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:36:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
  python3-isort (>= 4.3.21),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.10.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openvswitch (>= 2.10.0),
  python3-os-testr (>= 1.0.0),
@@ -53,7 +53,7 @@
 Architecture: all
 Depends:
  python3-fixtures (>= 3.0.0),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.10.0),
  python3-openvswitch (>= 2.10.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),

## python-ovsdbapp 2.9.0

=== debian/changelog ===
python-ovsdbapp (2.9.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:09:04 +0000

## python-ovsdbapp 2.11.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 fixtures>=3.0.0 # Apache-2.0/BSD
-netaddr>=0.7.18 # BSD
+netaddr>=0.10.0 # BSD
 ovs>=2.10.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-ovsdbapp (2.11.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 08:52:11 +0000

python-ovsdbapp (2.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:50:20 +0100

python-ovsdbapp (2.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:39:53 +0100

python-ovsdbapp (2.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:33:28 +0100

python-ovsdbapp (2.8.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090585).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:57:33 +0100

python-ovsdbapp (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:29:18 +0200

python-ovsdbapp (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 12:35:41 +0200

python-ovsdbapp (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Jun 2024 11:23:49 +0200

python-ovsdbapp (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 10:49:51 +0200

python-ovsdbapp (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:19:18 +0100

python-ovsdbapp (2.4.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:13:37 +0200

python-ovsdbapp (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:59:30 +0200

python-ovsdbapp (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:24:35 +0200

## python-ovsdbapp 2.12.0+git2025070814.d518d76

=== debian/changelog ===
python-ovsdbapp (2.12.0+git2025070814.d518d76-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/rules: Include PBR version.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 11 Jul 2025 13:20:41 -0700

python-ovsdbapp (2.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:55:56 +0000

python-ovsdbapp (2.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Feb 2025 18:59:17 +0000

## python-ovsdbapp 2.13.0

=== debian/changelog ===
python-ovsdbapp (2.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:29:15 +0200

python-ovsdbapp (2.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:29:35 +0200

=== debian/control ===
Source: python-ovsdbapp
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-isort,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ovsdbapp.git
Homepage: https://github.com/openstack/ovsdbapp

Package: python-ovsdbapp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for creating OVSDB applications - doc
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the documentation.

Package: python3-ovsdbapp
Architecture: all
Depends:
 python3-fixtures,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovsdbapp-doc,
Description: library for creating OVSDB applications - Python 3.x
 The ovdsbapp library is useful for creating applications that communicate via
 Open vSwitch's OVSDB protocol (https://tools.ietf.org/html/rfc7047). It wraps
 the Python 'ovs' and adds an event loop and friendly transactions. It features
 an thread-based event loop for using ovs.db.Idl, transaction support, native
 OVSDB communication.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ovsdbapp refs/tags/(\d[brc\d\.]+)

## python-ovsdbapp 2.15.0

=== debian/changelog ===
python-ovsdbapp (2.15.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 2.15.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/fix-pyproject-include-subpackages.patch: Add patch for subdirectory
    discover with pyproject.toml.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:15:21 -0800

python-ovsdbapp (2.13.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch:
      - Add signing key verification
      - Update source to signed tarballs
  * d/u/signing-key.asc: Add Flamingo signing key

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 14:49:55 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  http://tarballs.openstack.org/ovsdbapp/ ovsdbapp-(\d.*)\.tar\.gz

## python-ovsdbapp 2.16.0

=== debian/changelog ===
python-ovsdbapp (2.16.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 13:33:31 +0100

python-ovsdbapp (2.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:44:53 +0100

python-ovsdbapp (2.13.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046283).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:44:04 +0100
